%global cpan_name DateTime-Format-Duration

Name:           perl-%{cpan_name}
Version:        1.04
Release:        1%{?dist}
Summary:        Format and parse DateTime::Durations
# Old FSF address reported to upstream as CPAN RT #82055
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
# Upstream links images to the Internet, we package them into %%{_docdir}
Patch0:         DateTime-Format-Duration-1.04-Link-images-to-local-documentation.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime::Duration)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Params::Validate)
# Tests:
BuildRequires:  perl(DateTime)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper)

%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.


%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1
find -type f -exec chmod -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING docs README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 21 2015 Petr Pisar <ppisar@redhat.com> - 1.04-1
- 1.04 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-7.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.03-6.a
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.03-5.a
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-3.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Petr Pisar <ppisar@redhat.com> - 1.03-2.a
- Perl 5.18 rebuild

* Mon Dec 17 2012 Petr Pisar <ppisar@redhat.com> 1.03-1.a
- Specfile autogenerated by cpanspec 1.78.
- Tar ball 1.03a delivers plain version 1.03 (tar ball 1.03 defines old
  $VERSION)
